Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.basic
Class BasicTreeUI.MouseInputHandler

    java.lang.Object
      |
      +--javax.swing.plaf.basic.BasicTreeUI.MouseInputHandler

public class BasicTreeUI.MouseInputHandler
extends java.lang.Object
implements MouseInputListener

MouseInputHandler handles passing all mouse events, including mouse motion events, until the mouse is released to the destination it is constructed with. It is assumed all the events are currently target at source.

Field Summary
`protected java.awt.Component` | `destination` Destination that recieves all events.
`protected java.awt.Component` | `source` Source that events are coming from.

Constructor Summary
`BasicTreeUI.MouseInputHandler(java.awt.Component source, java.awt.Component destination, java.awt.event.MouseEvent event)`

Method Summary
`void` | `mouseClicked(java.awt.event.MouseEvent e)`
`void` | `mouseDragged(java.awt.event.MouseEvent e)`
`void` | `mouseEntered(java.awt.event.MouseEvent e)`
`void` | `mouseExited(java.awt.event.MouseEvent e)`
`void` | `mouseMoved(java.awt.event.MouseEvent e)`
`void` | `mousePressed(java.awt.event.MouseEvent e)`
`void` | `mouseReleased(java.awt.event.MouseEvent e)`
`protected void` | `removeFromSource()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### source

    protected java.awt.Component source

  Source that events are coming from.

### destination

    protected java.awt.Component destination

  Destination that recieves all events.

Constructor Detail

### BasicTreeUI.MouseInputHandler

    public BasicTreeUI.MouseInputHandler(java.awt.Component source,
                                         java.awt.Component destination,
                                         java.awt.event.MouseEvent event)

Method Detail

### mouseClicked

    public void mouseClicked(java.awt.event.MouseEvent e)

### mousePressed

    public void mousePressed(java.awt.event.MouseEvent e)

### mouseReleased

    public void mouseReleased(java.awt.event.MouseEvent e)

### mouseEntered

    public void mouseEntered(java.awt.event.MouseEvent e)

### mouseExited

    public void mouseExited(java.awt.event.MouseEvent e)

### mouseDragged

    public void mouseDragged(java.awt.event.MouseEvent e)

### mouseMoved

    public void mouseMoved(java.awt.event.MouseEvent e)

### removeFromSource

    protected void removeFromSource()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.